addpath(fullfile(pwd,'./matlabLib'))
addpath(fullfile(pwd,'./matlabGUILib'))
matlabJAPCversion = strip(fileread(fullfile(pwd,'VERSION')));
disp([char(10),'Welcome to CO custom MATLAB (v.',matlabJAPCversion,')!'])

disp([char(10),'Remember that if you want to correctly use INCA and RBAC, you must run ',...
  'as FIRST(!) command something like:',char(10),...
  '  matlabJapc.staticINCAify(',char(39),'CTF',char(39),')',char(10),char(10),...
  'and:',char(10),...
  '  matlabJapc.staticRBACAuthenticate(); % authentication by location',char(10),char(10),...
  'or:',char(10),...
  '  matlabJapc.staticRBACAuthenticate(<your username>); % authentication by user.',char(10),char(10),...
  'If you want to check that you got a RBAC token, you can run the command:',char(10),...
  '  matlabJapc.staticRBACGetToken() % gives you the current RBAC token',...
  ]);

disp([char(10),char(10),'matlabJAPC is hosted on Gitlab:',char(10),...
    'https://gitlab.cern.ch/scripting-tools/MATLAB/matlabJAPC']);
disp([char(10),char(10),'Dcumentation is available on:',char(10),...
    'https://wikis.cern.ch/display/ST/Matlab-CO+interaction']);
disp(['If you want to get informed about new releases and changes, '...
    'subscribe to the e-group "MD-scripting-tools"']);
warning(['Please not that matlabJAPC may STOP working with MATLAB<2020b!!!',...
  char(10), 'Please start using MATLAB2020 or think of moving your tools to Python!',...
  char(10), 'For info feel free to contact davide.gamba@cern.ch',...
  ])
cd ~
